Bug 16376 - <video> is frozen after coming back from a page that uses QuickTime plugin
Summary: <video> is frozen after coming back from a page that uses QuickTime plugin
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2007-12-09 23:28 PST by mitz
Modified: 2008-01-09 17:42 PST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2007-12-09 23:28:37 PST
Steps to reproduce (not always reproducible):

1) Go to <http://webkit.org/blog/140/html5-media-support/>.
2) Click the play button.
3) Go to <http://www.apple.com/ipodtouch/ads/> (in the same Tab).
4) Go back.
5) Go forward.
6) Go back.

Results:
After going back in step 6, the video element shows a frozen video frame. Audio plays back normally and the play/pause button works.
Comment 1 mitz 2007-12-29 18:30:26 PST
<rdar://problem/5665206>
Comment 2 Antti Koivisto 2008-01-09 17:42:19 PST
Sending        WebCore/ChangeLog
Sending        WebCore/rendering/RenderVideo.cpp
Transmitting file data ..
Committed revision 29345.